cannot get flashplugin in Lubuntu 11.04

Asked by John Hudson on 2012-02-29

I tried to install flashplugin-installer (using Synaptic). I get
connecting to archive.canonical.com|1.0.0.0|:80...failed: Connection timed out...Retrying
.
.
.
Giving up

It tried three times.

ping archive.canonical.com works fine

When I look at flash content (with firefox) I get the message:
   Cannot play media. You do not have the correct version of falsh player. Download the correct version.

If I try to download from adobe and select the APT for Ubuntu 10.4+ version I get the message:

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu flashplugin-nonfree Edit question
Assignee:
No assignee Edit question
Solved by:
actionparsnip
Solved:
2012-03-01
Last query:
2012-03-01
Last reply:
2012-03-01
John Hudson (jfp-hudson) said : #1

When I try the APT for Ubuntu 10.4+ I get: Unknown cnannel 'natty-partner' cannot connect

John Hudson (jfp-hudson) said : #2

Note that I have disabled IPv6. This was to solve problems I was having with my mail. Could this be causing the problem.

Can you give the output of:

lsb_release -a; uname -a;dpkg -l | egrep 'flash|gnash|swf|spark'

Thanks

John Hudson (jfp-hudson) said : #4

Here is the output

john@study:~$ lsb_release -a; uname -a; dpkg -l | egrep 'flash|gnash|swf|spark'No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 11.04
Release: 11.04
Codename: natty
Linux study 2.6.38-13-generic #56-Ubuntu SMP Tue Feb 14 12:40:40 UTC 2012 i686 i686 i386 GNU/Linux
ii flashplugin-installer 11.1.102.62ubuntu0.11.04.2 Adobe Flash Player plugin installer
john@study:~$

ok, run:

sudo apt-get --purge remove flashplugin-installer
sudo apt-get clean
sudo apt-get install flashplugin-installer

If this doesn't work then let me know and we'll do it the old school way

John Hudson (jfp-hudson) said : #6

This doesn't work
flashplugin installer tries to connect to arhive.canonical.com bt the connection times out.

I also tried downloading the tar.gz version from adobe. I extracted it and moved the library liblashplayer.so to .mozilla/plugins.
Now Firefox list the plugin as present (and enabled) but it doesn't work. If I try to view a flash sclip I no longet get the messagge about having the wrong flashplayer, but the clip just never loads. I get the loading signal, but it never finishes loading.

Of course I had to create the folder .mozilla/plugins as the firefox plugins now seem to be kept in some hidden form in .mozilla/firefox.

run:

mkdir ~/.mozilla/plugins
cd ~/.mozilla/plugins
wget http://dl.dropbox.com/u/8850924/libflashplayer.so

Close all firefox browsers then reload and you should get flash

John Hudson (jfp-hudson) said : #8

Thanks for your help.
But I had just managed to add the Canonical Partners repository to my software sources and downloaded adobe-flashplugin from there. And it seems fine.

You got the gold and that's all we need :)